UFOND(1)

NAME
ufond - convert UNIX font files into Macintosh format

SYNOPSIS
ufond [-dfont] [-macbin] [-res] [-script name] fontfile...

DESCRIPTION
The program ufond takes UNIX font files, wraps them in a Macintosh resource fork, creates a family for them, and then wraps that in a macbinary or binhex file.

The program reads one or more font files, specified at the end of the command line, using any of the following formats:

Glyph Bitmap Distribution (.bdf)

TrueType (.ttf)

OpenType (.otf)

POSTSCRIPT Binary format (.pfb)

All fonts with the same font family name will be placed in the same FOND. The program associates the name of a POSTSCRIPT font with a bitmap font, as well as handling bold, italic, and other variants properly.

The generated Macintosh files will be in one of three formats:

MacBinary (default)

dfont (data fork resource file format, used by MacOS X)

bare resource fork (you have to know how to transform this into a real resource fork)

The program normally assumes that your fonts are in the roman script system. If this is not true you may specify a script directly. The program knows the names of a few scripts (greek, cyrillic, hebrew, arabic) which may be entered directly; otherwise you must know the Macintosh script number.

OPTIONS

-dfont
    Generate Macintosh files in dfont format.

-macbin
    Generate Macintosh files in MacBinary format.

-res
    Generate Macintosh files in resource format.

-script name
    Specify the Macintosh script number.

AUTHOR
George Williams (gww@silcom.com).

Manual page by Ziying Sherwin (sherwin@nlm.nih.gov) and R.P.C Rodgers (rodgers@nlm.nih.gov), Lister Hill National Center for Biomedical Communications, U.S. National Library of Medicine.